Altibase.jdbc.driver.cm

## Class RdmaSocketDef

- java.lang.Object
- - Altibase.jdbc.driver.cm.RdmaSocketDef

    public class RdmaSocketDef
    extends java.lang.Object

PROJ-2681 rsockets 에서 지원하는 socket domain, socket options 등 정의(Linux 기준)

### Field Summary

Fields
`static int` `AF_INET`
`static int` `AF_INET6`
`static int` `IPPROTO_IPV6`
`static int` `IPPROTO_TCP`
`static int` `IPV6_ONLY`
`static int` `RDMA_CONCHKSPIN`
`static int` `RDMA_CONCHKSPIN_MAX`
`static int` `RDMA_INLINE`
`static int` `RDMA_IOMAPSIZE`
`static int` `RDMA_LATENCY`
`static int` `RDMA_ROUTE`
`static int` `RDMA_RQSIZE`
`static int` `RDMA_SQSIZE`
`static int` `SO_KEEPALIVE`
`static int` `SO_LINGER`
`static int` `SO_OOBINLINE`
`static int` `SO_RCVBUF`
`static int` `SO_REUSEADDR`
`static int` `SO_SNDBUF`
`static int` `SOL_RDMA`
`static int` `SOL_SOCKET`
`static int` `TCP_KEEPCNT`
`static int` `TCP_KEEPIDLE`
`static int` `TCP_KEEPINTVL`
`static int` `TCP_MAXSEG`
`static int` `TCP_NODELAY`

### Constructor Summary

Constructors
Constructor and Description
`RdmaSocketDef()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AF_INET

    public static final int AF_INET

See Also:
  Constant Field Values

#### AF_INET6

    public static final int AF_INET6

See Also:
  Constant Field Values

#### SOL_SOCKET

    public static final int SOL_SOCKET

See Also:
  Constant Field Values

#### IPPROTO_TCP

    public static final int IPPROTO_TCP

See Also:
  Constant Field Values

#### IPPROTO_IPV6

    public static final int IPPROTO_IPV6

See Also:
  Constant Field Values

#### SOL_RDMA

    public static final int SOL_RDMA

See Also:
  Constant Field Values

#### SO_REUSEADDR

    public static final int SO_REUSEADDR

See Also:
  Constant Field Values

#### SO_SNDBUF

    public static final int SO_SNDBUF

See Also:
  Constant Field Values

#### SO_RCVBUF

    public static final int SO_RCVBUF

See Also:
  Constant Field Values

#### SO_KEEPALIVE

    public static final int SO_KEEPALIVE

See Also:
  Constant Field Values

#### SO_OOBINLINE

    public static final int SO_OOBINLINE

See Also:
  Constant Field Values

#### SO_LINGER

    public static final int SO_LINGER

See Also:
  Constant Field Values

#### TCP_NODELAY

    public static final int TCP_NODELAY

See Also:
  Constant Field Values

#### TCP_MAXSEG

    public static final int TCP_MAXSEG

See Also:
  Constant Field Values

#### TCP_KEEPIDLE

    public static final int TCP_KEEPIDLE

See Also:
  Constant Field Values

#### TCP_KEEPINTVL

    public static final int TCP_KEEPINTVL

See Also:
  Constant Field Values

#### TCP_KEEPCNT

    public static final int TCP_KEEPCNT

See Also:
  Constant Field Values

#### IPV6_ONLY

    public static final int IPV6_ONLY

See Also:
  Constant Field Values

#### RDMA_SQSIZE

    public static final int RDMA_SQSIZE

See Also:
  Constant Field Values

#### RDMA_RQSIZE

    public static final int RDMA_RQSIZE

See Also:
  Constant Field Values

#### RDMA_INLINE

    public static final int RDMA_INLINE

See Also:
  Constant Field Values

#### RDMA_IOMAPSIZE

    public static final int RDMA_IOMAPSIZE

See Also:
  Constant Field Values

#### RDMA_ROUTE

    public static final int RDMA_ROUTE

See Also:
  Constant Field Values

#### RDMA_LATENCY

    public static final int RDMA_LATENCY

See Also:
  Constant Field Values

#### RDMA_CONCHKSPIN

    public static final int RDMA_CONCHKSPIN

See Also:
  Constant Field Values

#### RDMA_CONCHKSPIN_MAX

    public static final int RDMA_CONCHKSPIN_MAX

See Also:
  Constant Field Values

### Constructor Detail

#### RdmaSocketDef

    public RdmaSocketDef()